minput_get_title_icon(3m17n)

NAME
minput_get_title_icon - Get title and icon filename of an input method.

SYNOPSIS
MPlist * minput_get_title_icon (MSymbol language, MSymbol name)

DESCRIPTION
Get title and icon filename of an input method.

The minput_get_title_icon() function returns a plist containing a title and icon filename (if any) of an input method specified by language and name.

The first element of the plist has key Mtext and the value is an M-text of the title for identifying the input method. The second element (if any) has key Mtext and the value is an M-text of the icon image (absolute) filename for the same purpose.

RETURN VALUE

    If there exists a specified input method and it defines an title, a plist is returned. Otherwise, NULL is returned. The caller must free the plist by m17n_object_unref().

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.